<?php

namespace ManiaLivePlugins\Flo\Menubar\Gui\Windows;

use ManiaLive\Gui\Toolkit\Elements\BgsPlayerCard;

use ManiaLive\Gui\Toolkit\Elements\Label;

use ManiaLive\Gui\Windowing\Controls\Column;
use ManiaLive\Gui\Windowing\Window;
use ManiaLivePlugins\Flo\Menubar\Gui\Controls\Item;

class Menu extends Window
{
	private $active;
	private $btn_back;
	private $btn_label;
	
	private $root;
	
	function initializeComponents()
	{
		$this->active = true;
		
		$this->btn_back = new BgsPlayerCard(10, 4);
		$this->btn_back->setSubStyle(BgsPlayerCard::BgCard);
		$this->btn_back->setAction($this->callback('onClick'));
		$this->addComponent($this->btn_back);
		
		$this->btn_label = new Label(10, 4);
		$this->addComponent($this->btn_label);
	}
	
	function setRoot($root)
	{
		$this->root = $root;
		$this->addComponent($this->root);
	}
	
	function onShow()
	{
		if ($this->active)
		{
			$this->btn_label = '<';
			$this->root->showSubitems();
		}
		else
		{
			$this->btn_label = '>';
			$this->root->hideSubitems();
		}
	}
	
	function onClick()
	{
		$this->active = !$this->active;
		$this->show();
	}
	
	function getRoot()
	{
		return $this->root;
	}
}

?>